Extending Qt Creator Manual | SnippetsSettings

Extending Qt Creator Manual 4.5.2

# SnippetsSettings Class

(TextEditor::SnippetsSettings)

- List of all members, including inherited members

## Public Functions

| SnippetsSettings() = default
bool | equals(const SnippetsSettings &snippetsSettings) const
void | fromSettings(const QString &category, QSettings *s)
const QString & | lastUsedSnippetGroup() const
void | setLastUsedSnippetGroup(const QString &lastUsed)
void | toSettings(const QString &category, QSettings *s) const

## Member Function Documentation

### `[default]` SnippetsSettings::SnippetsSettings()

Default constructs an instance of SnippetsSettings.

### bool SnippetsSettings::equals(const SnippetsSettings &snippetsSettings) const

### void SnippetsSettings::fromSettings(const QString &category, QSettings *s)

### const QString &SnippetsSettings::lastUsedSnippetGroup() const

See also setLastUsedSnippetGroup().

### void SnippetsSettings::setLastUsedSnippetGroup(const QString &lastUsed)

See also lastUsedSnippetGroup().

### void SnippetsSettings::toSettings(const QString &category, QSettings *s) const